Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 199663 - Code Minimap (like Sublime editor has)
Code Minimap (like Sublime editor has)
Status: RESOLVED WONTFIX
Product: editor
Classification: Unclassified
Component: -- Other --
7.0
All All
: P3 with 10 votes (vote)
: TBD
Assigned To: Milutin Kristofic
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-23 15:03 UTC by monk.e.boy
Modified: 2015-05-09 12:31 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description monk.e.boy 2011-06-23 15:03:58 UTC
I noticed that when you drag a code window it shows a tiny screen shot of the code.

Could this also be used to make a sublime minimap of the code?

Can the right hand gutter marks (e.g. changes, search occurrences etc) also be integrated into this?

http://www.google.co.uk/search?hl=en&q=sublime+editor+minimap&bav=on.2,or.r_gc.r_pw.&biw=1279&bih=617&um=1&ie=UTF-8&tbm=isch&source=og&sa=N&tab=wi
Comment 2 markiewb 2013-02-24 16:39:04 UTC
FYI - taken from nbusers list
<quote>
Am 21.02.2013 21:54, schrieb sandipchitale@gmail.com:
> I wrote the Eclipse Plugin which obviously involves SWT StylesText
> widget. (Source: 
> http://sandipchitaleseclipseplugins.googlecode.com/svn/trunk/text.overv
> iew/src/text/overview/views/OverviewView.java).
>
>
> For Netbeans it will have to be implemented on top of JTextPane. 
</quote>
Comment 3 everflux 2014-01-07 13:22:23 UTC
FYI There is a plugin for IntelliJ that provides this as well: https://github.com/Vektah/CodeGlance
Comment 4 Exilor 2014-05-23 21:29:40 UTC
Would be interested in this feature its very useful in Sublime Text and Notepad ++
Comment 5 markiewb 2015-01-31 13:22:06 UTC
I drafted a plugin for that. The code is based on a component from BlueJ.

http://plugins.netbeans.org/plugin/57219/?show=true
Comment 6 ChrisLE 2015-03-31 19:51:53 UTC
So in my perspective we can resolve the issue, or?
Comment 7 markiewb 2015-05-09 12:31:49 UTC
Resolve as wontfix because there is a 3rd party plugin for that

http://plugins.netbeans.org/plugin/57219/?show=true


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo